LOGIN(1)

NAME
login - log into the computer

SYNOPSIS
login [-fp] [-h hostname] [user]

DESCRIPTION
The login utility logs users (and pseudo-users) into the computer system.

If no user is specified, or if a user is specified and authentication of the user fails, login prompts for a user name. Authentication of users is done via passwords.

The options are as follows:

-f  The -f option is used when a user name is specified to indicate that proper authentication has already been done and that no password need be requested. This option may only be used by the super-user or when an already logged in user is logging in as themselves.

-h  The -h option specifies the host from which the connection was received. It is used by various daemons such as telnetd(8). This option may only be used by the super-user.

-p  By default, login discards any previous environment. The -p option disables this behavior.

If the file /etc/nologin exists, login dislays its contents to the user and exits. This is used by shutdown(8) to prevent users from logging in when the system is about to go down.

If the file /etc/fbtab exists, login changes the protection and ownership of certain devices specified in this file.

Immediately after logging a user in, login displays the system copyright notice, the date and time the user last logged in, the message of the day as well as other information. If the file “.hushlogin” exists in the user's home directory, all of these messages are suppressed. This is to simplify logins for non-human users, such as uucp(1). Login then records an entry in the wtmp(5) and utmp(5) files and executes the user's command interpretor.

Login enters information into the environment (see environ(7)) specifying the user's home directory (HOME), command interpreter (SHELL), search path (PATH), terminal type (TERM) and user name (both LOGNAME and USER).

The standard shells, csh(1) and sh(1), do not fork before executing the login utility.

FILES
/etc/fbtab
    changes device protections
/etc/motd
    message-of-the-day
/etc/nologin
    disallows logins
/var/run/utmp
    current logins
/var/log/wtmp
    login account records
/var/mail/user
    system mailboxes
.hushlogin
    makes login quieter

SEE ALSO
chpass(1), passwd(1), rlogin(1), getpass(3), fbtab(5), utmp(5), environ(7)

HISTORY
A login appeared in AT&T UNIX.